org.apache.ignite.ml.util.generators.primitives.vector

## Interface VectorGenerator

- All Superinterfaces:
    Supplier<Vector>
  All Known Implementing Classes:
    ParametricVectorGenerator, VectorGeneratorsFamily

      public interface VectorGenerator
      extends Supplier<Vector>

  Basic interface for pseudo-random vectors generators.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default DataStreamGenerator` | `asDataStream()` Convert vectors generator to unlabeled data stream generator.
    `default VectorGenerator` | `concat(RandomProducer producer)` Creates new generator by concatenation of vectors of this generator and random producer.
    `default VectorGenerator` | `concat(VectorGenerator other)` Creates new generator by concatenation of vectors of this generator and other.
    `default VectorGenerator` | `duplicateRandomFeatures(int increaseSize)` Increase vectors of generator by increaseSize and sets to new values random selected feature values from already set components.
    `default VectorGenerator` | `duplicateRandomFeatures(int increaseSize, Long seed)` Increase vectors of generator by increaseSize and sets to new values random selected feature values from already set components.
    `default VectorGenerator` | `filter(IgnitePredicate<Vector> predicate)` Filters values of vector generator using predicate.
    `default VectorGenerator` | `map(IgniteFunction<Vector,Vector> mapper)` Maps values of vector generator using mapper.
    `default VectorGenerator` | `move(Vector v)` Moves all vectors to other position by summing with input vector.
    `default VectorGenerator` | `noisify(RandomProducer randomProducer)` Adds noize to all components of generated vectors.
    `default VectorGenerator` | `plus(VectorGenerator other)` Creates new generator by sum of vectors of this generator and other.
    `default VectorGenerator` | `rotate(double angle)` Rotate first two components of all vectors of generator by angle around zero.
    `default VectorGenerator` | `rotate(double angle, int firstComponent, int secondComponent)` Rotate selected two components of all vectors of generator by angle around zero.
    `default VectorGenerator` | `shuffle()` Creates a permanent rearrangement mapping of features in vector and applies this rearrangement for each vectors of current generator.
    `default VectorGenerator` | `shuffle(Long seed)` Creates a permanent rearrangement mapping of features in vector and applies this rearrangement for each vectors of current generator.

    - ### Methods inherited from interface java.util.function.Supplier

      `get`

- - ### Method Detail

    - #### map

          default VectorGenerator map(IgniteFunction<Vector,Vector> mapper)

      Maps values of vector generator using mapper.
      Parameters:
        `mapper` - Mapper.
      Returns:
        Vector generator with mapped vectors.

    - #### filter

          default VectorGenerator filter(IgnitePredicate<Vector> predicate)

      Filters values of vector generator using predicate.
      Parameters:
        `predicate` - Predicate.
      Returns:
        Vector generator with filtered vectors.

    - #### concat

          default VectorGenerator concat(VectorGenerator other)

      Creates new generator by concatenation of vectors of this generator and other.
      Parameters:
        `other` - Other.
      Returns:
        Generator of concatenated vectors.

    - #### concat

          default VectorGenerator concat(RandomProducer producer)

      Creates new generator by concatenation of vectors of this generator and random producer.
      Parameters:
        `producer` - Producer.
      Returns:
        Generator of concatenated vector and noize.

    - #### plus

          default VectorGenerator plus(VectorGenerator other)

      Creates new generator by sum of vectors of this generator and other.
      Parameters:
        `other` - Other.
      Returns:
        Generator of vector sums.

    - #### shuffle

          default VectorGenerator shuffle()

      Creates a permanent rearrangement mapping of features in vector and applies this rearrangement for each vectors of current generator.
      Returns:
        Generator of vectors with shuffled features.

    - #### shuffle

          default VectorGenerator shuffle(Long seed)

      Creates a permanent rearrangement mapping of features in vector and applies this rearrangement for each vectors of current generator.
      Parameters:
        `seed` - Seed.
      Returns:
        Generator of vectors with shuffled features.

    - #### duplicateRandomFeatures

          default VectorGenerator duplicateRandomFeatures(int increaseSize)

      Increase vectors of generator by increaseSize and sets to new values random selected feature values from already set components.
      Parameters:
        `increaseSize` - Increase size.
      Returns:
        Generator.

    - #### duplicateRandomFeatures

          default VectorGenerator duplicateRandomFeatures(int increaseSize,
                                                          Long seed)

      Increase vectors of generator by increaseSize and sets to new values random selected feature values from already set components.
      Parameters:
        `increaseSize` - Increase size.
        `seed` - Seed.
      Returns:
        Generator.

    - #### move

          default VectorGenerator move(Vector v)

      Moves all vectors to other position by summing with input vector.
      Parameters:
        `v` - Vector.
      Returns:
        Generator with old vectors plus input vector.

    - #### rotate

          default VectorGenerator rotate(double angle)

      Rotate first two components of all vectors of generator by angle around zero.
      Parameters:
        `angle` - Angle.
      Returns:
        Generator.

    - #### rotate

          default VectorGenerator rotate(double angle,
                                         int firstComponent,
                                         int secondComponent)

      Rotate selected two components of all vectors of generator by angle around zero.
      Parameters:
        `angle` - Angle.
        `firstComponent` - First component id.
        `secondComponent` - Second component id.
      Returns:
        Generator.

    - #### noisify

          default VectorGenerator noisify(RandomProducer randomProducer)

      Adds noize to all components of generated vectors.
      Parameters:
        `randomProducer` - Random producer.
      Returns:
        Generator.

    - #### asDataStream

          default DataStreamGenerator asDataStream()

      Convert vectors generator to unlabeled data stream generator.
      Returns:
        Data stream generator.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020